Delete User API
Prerequisite
Once a user is deleted, it cannot be restored. Deleted users can only receive messages again in the following scenarios:
- Web: Clear browser cookies and then return to your website.
- Mobile: Open the app again or uninstall and reinstall the app to reinitialize the SDK. It is recommended to update to the latest version of the SDK in your app.
Recommendations Before Deletion
Query Tag and Alias Information: Use the tag alias API to query the aliases and tags currently bound to the registration_id to be deleted.
Check Audience: Carefully check the audience to be deleted.
❗️Warning: Do not delete all users. Be very careful when performing these steps to ensure that not all users are deleted.
Delete User API Description
This API is used to delete an existing user (registration_id). It will delete all related data, bound tags, aliases, device information, and timezone information. This deletion is performed asynchronously.
Endpoint
DELETE /v4/devices/{registration_id}
Request Header
DELETE /v4/devices/{registration_id}
Authorization: Basic (base64 auth string)
Accept: application/json
Request Parameters
| Name | Required | Description |
|---|---|---|
| Registration ID | Yes | The unique identifier of the device in the engagelab system. Batch deletion is not supported. |
Request Example
DELETE /v4/devices/abc123
Authorization: Basic YWxhZGRpbjpvcGVuc2VzYW1l
Accept: application/json
Response Example
Successful Response
HTTP/1.1 200 OK
Content-Type: application/json
success
The current successful response body is the unquoted text success, not a JSON object or a JSON string. Although the response header is application/json, read a successful response as text rather than parsing it as JSON.
Error Response
The following failure example applies when the registration_id does not belong to the current AppKey.
{
"error":{
"code":27002,
"message":"registration_id do not belongs to the appkey!"
}
}










